Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET /trade-history

Return the account's trade history.

GET https://api.aevo.xyz/trade-history

Authentication required. Include your AEVO-KEY and AEVO-SECRET headers. See Authentication.

Example Request

curl --request GET \
     --url https://api.aevo.xyz/trade-history \
     --header 'accept: application/json' \
     --header 'AEVO-KEY: <your-api-key>' \
     --header 'AEVO-SECRET: <your-api-secret>'

Responses

200 — Trade history.

Field
Type
Required
Description

count

string

Yes

total number of rows in a query Example: 5

trade_history

array[object]

No

400 — Bad request.

Field
Type
Required
Description

error

string

Yes

Error message. Example: ERR_MALFORMED_REQUEST

401 — Unauthorized.

Field
Type
Required
Description

error

string

Yes

Error message. Example: UNAUTHORIZED

429 — Rate limit exceeded.

Field
Type
Required
Description

error

string

Yes

Error message. Example: RATE_LIMIT_EXCEEDED

500 — Internal server error.

Field
Type
Required
Description

error

string

Yes

Error message. Example: INTERNAL_ERROR

Last updated

Was this helpful?